pub mod download_progress;
pub mod game_selection;
pub mod installation_progress;
pub mod path_selection;

use std::time::Duration;

pub fn format_duration(duration: Duration) -> String {
    let secs = duration.as_secs();
    if secs >= 3600 {
        format!("{:02}h{:02}m{:02}s estimated remaining time", secs / 3600, (secs % 3600) / 60, secs % 60)
    } else {
        format!("{:02}m{:02}s estimated remaining time", secs / 60, secs % 60)
    }
}